﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;

namespace SliderControl
{
	public partial class Window1
	{
        private Thickness panelMargin;
        private int indexObject;
        private int oldindexObject;

        Image[] imgArray;

		public Window1()
		{
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.

            imgArray = new Image[6];

            imgArray[0] = Image0;
            imgArray[1] = Image1;
            imgArray[2] = Image2;
            imgArray[3] = Image3;
            imgArray[4] = Image4;
            imgArray[5] = Image5;

            Image0.MouseDown += new System.Windows.Input.MouseButtonEventHandler(Image_MouseDown);
            Image1.MouseDown += new System.Windows.Input.MouseButtonEventHandler(Image_MouseDown);
            Image2.MouseDown += new System.Windows.Input.MouseButtonEventHandler(Image_MouseDown);
            Image3.MouseDown += new System.Windows.Input.MouseButtonEventHandler(Image_MouseDown);
            Image4.MouseDown += new System.Windows.Input.MouseButtonEventHandler(Image_MouseDown);
            Image5.MouseDown += new System.Windows.Input.MouseButtonEventHandler(Image_MouseDown);

            indexObject = 0;
            oldindexObject = 0;

            panelMargin = new Thickness();
            panelMargin.Top = 0;
            panelMargin.Left = 230;
            ImagePanel.Margin = panelMargin;

            //패널을 크게 만든다.
            imgArray[indexObject].Width += 50;
		}

        private void OnLeftMoveClick(object sender, RoutedEventArgs e)
        {
            oldindexObject = indexObject;

            indexObject -= 1;
            if (indexObject < 0)
            {
                indexObject = 0;
            }
            else
            {
                imgArray[oldindexObject].Width -= 50;
                imgArray[indexObject].Width += 50;

                panelMargin.Left += 104;
                ImagePanel.Margin = panelMargin;

                ViewPanel.Source = imgArray[indexObject].Source;
            }
        }

        private void OnRightMoveClick(object sender, RoutedEventArgs e)
        {
            oldindexObject = indexObject;

            indexObject += 1;
            if (indexObject > 5)
            {
                indexObject = 5;
            }
            else
            {
                imgArray[oldindexObject].Width -= 50;
                imgArray[indexObject].Width += 50;

                panelMargin.Left -= 104;
                ImagePanel.Margin = panelMargin;

                ViewPanel.Source = imgArray[indexObject].Source;
            }
        }

        private void Image_MouseDown(Object o, EventArgs e)
        {
            //Image img = (Image)o;
            //ViewPanel.Source = img.Source;
        }
	}
}